Package org.gdal.gdal

## Class gdal

- java.lang.Object
- - org.gdal.gdal.gdal

-     public class gdal
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `AllRegister​()` |
    `static void` | `ApplyGeoTransform​(double[] padfGeoTransform, double dfPixel, double dfLine, double[] pdfGeoX, double[] pdfGeoY)` |
    `static Dataset` | `ApplyVerticalShiftGrid​(Dataset src_ds, Dataset grid_ds)` |
    `static Dataset` | `ApplyVerticalShiftGrid​(Dataset src_ds, Dataset grid_ds, boolean inverse)` |
    `static Dataset` | `ApplyVerticalShiftGrid​(Dataset src_ds, Dataset grid_ds, boolean inverse, double srcUnitToMeter)` |
    `static Dataset` | `ApplyVerticalShiftGrid​(Dataset src_ds, Dataset grid_ds, boolean inverse, double srcUnitToMeter, double dstUnitToMeter)` |
    `static Dataset` | `ApplyVerticalShiftGrid​(Dataset src_ds, Dataset grid_ds, boolean inverse, double srcUnitToMeter, double dstUnitToMeter, java.util.Vector options)` |
    `static Dataset` | `AutoCreateWarpedVRT​(Dataset src_ds)` |
    `static Dataset` | `AutoCreateWarpedVRT​(Dataset src_ds, java.lang.String src_wkt)` |
    `static Dataset` | `AutoCreateWarpedVRT​(Dataset src_ds, java.lang.String src_wkt, java.lang.String dst_wkt)` |
    `static Dataset` | `AutoCreateWarpedVRT​(Dataset src_ds, java.lang.String src_wkt, java.lang.String dst_wkt, int eResampleAlg)` |
    `static Dataset` | `AutoCreateWarpedVRT​(Dataset src_ds, java.lang.String src_wkt, java.lang.String dst_wkt, int eResampleAlg, double maxerror)` |
    `static Dataset` | `BuildVRT​(java.lang.String dest, java.util.Vector source_filenames, BuildVRTOptions options)` |
    `static Dataset` | `BuildVRT​(java.lang.String dest, java.util.Vector source_filenames, BuildVRTOptions options, ProgressCallback callback)` |
    `static Dataset` | `BuildVRT​(java.lang.String dest, Dataset[] object_list_count, BuildVRTOptions options)` |
    `static Dataset` | `BuildVRT​(java.lang.String dest, Dataset[] object_list_count, BuildVRTOptions options, ProgressCallback callback)` |
    `static int` | `ComputeMedianCutPCT​(Band red, Band green, Band blue, int num_colors, ColorTable colors)` |
    `static int` | `ComputeMedianCutPCT​(Band red, Band green, Band blue, int num_colors, ColorTable colors, ProgressCallback callback)` |
    `static int` | `ComputeProximity​(Band srcBand, Band proximityBand)` |
    `static int` | `ComputeProximity​(Band srcBand, Band proximityBand, java.util.Vector options)` |
    `static int` | `ComputeProximity​(Band srcBand, Band proximityBand, java.util.Vector options, ProgressCallback callback)` |
    `static int` | `ContourGenerate​(Band srcBand, double contourInterval, double contourBase, double[] fixedLevelCount, int useNoData, double noDataValue, Layer dstLayer, int idField, int elevField)` |
    `static int` | `ContourGenerate​(Band srcBand, double contourInterval, double contourBase, double[] fixedLevelCount, int useNoData, double noDataValue, Layer dstLayer, int idField, int elevField, ProgressCallback callback)` |
    `static int` | `ContourGenerateEx​(Band srcBand, Layer dstLayer)` |
    `static int` | `ContourGenerateEx​(Band srcBand, Layer dstLayer, java.util.Vector options)` |
    `static int` | `ContourGenerateEx​(Band srcBand, Layer dstLayer, java.util.Vector options, ProgressCallback callback)` |
    `static java.lang.String` | `CPLBinaryToHex​(byte[] nBytes)` |
    `static byte[]` | `CPLHexToBinary​(java.lang.String pszHex)` |
    `static Dataset` | `CreatePansharpenedVRT​(java.lang.String pszXML, Band panchroBand, Band[] nInputSpectralBands)` |
    `static int` | `DataTypeIsComplex​(int eDataType)` |
    `static void` | `Debug​(java.lang.String msg_class, java.lang.String message)` |
    `static java.lang.String` | `DecToDMS​(double dfAngle, java.lang.String pszAxis)` |
    `static java.lang.String` | `DecToDMS​(double dfAngle, java.lang.String pszAxis, int nPrecision)` |
    `static double` | `DecToPackedDMS​(double dfDec)` |
    `static Dataset` | `DEMProcessing​(java.lang.String dest, Dataset dataset, java.lang.String pszProcessing, java.lang.String pszColorFilename, DEMProcessingOptions options)` |
    `static Dataset` | `DEMProcessing​(java.lang.String dest, Dataset dataset, java.lang.String pszProcessing, java.lang.String pszColorFilename, DEMProcessingOptions options, ProgressCallback callback)` |
    `static int` | `DitherRGB2PCT​(Band red, Band green, Band blue, Band target, ColorTable colors)` |
    `static int` | `DitherRGB2PCT​(Band red, Band green, Band blue, Band target, ColorTable colors, ProgressCallback callback)` |
    `static void` | `DontUseExceptions​()` |
    `static void` | `Error​(int msg_class, int err_code, java.lang.String msg)` |
    `static void` | `ErrorReset​()` |
    `static java.lang.String` | `EscapeString​(byte[] len, int scheme)` |
    `static java.lang.String` | `EscapeString​(java.lang.String str, int scheme)` |
    `static void` | `FileFromMemBuffer​(java.lang.String utf8_path, byte[] nBytes)` |
    `static int` | `FillNodata​(Band targetBand, Band maskBand, double maxSearchDist, int smoothingIterations)` |
    `static int` | `FillNodata​(Band targetBand, Band maskBand, double maxSearchDist, int smoothingIterations, java.util.Vector options)` |
    `static int` | `FillNodata​(Band targetBand, Band maskBand, double maxSearchDist, int smoothingIterations, java.util.Vector options, ProgressCallback callback)` |
    `static void` | `FinderClean​()` |
    `static java.lang.String` | `FindFile​(java.lang.String pszClass, java.lang.String utf8_path)` |
    `static int` | `FPolygonize​(Band srcBand, Band maskBand, Layer outLayer, int iPixValField)` |
    `static int` | `FPolygonize​(Band srcBand, Band maskBand, Layer outLayer, int iPixValField, java.util.Vector options)` |
    `static int` | `FPolygonize​(Band srcBand, Band maskBand, Layer outLayer, int iPixValField, java.util.Vector options, ProgressCallback callback)` |
    `static int` | `GCPsToGeoTransform​(GCP[] nGCPs, double[] argout)` |
    `static int` | `GCPsToGeoTransform​(GCP[] nGCPs, double[] argout, int bApproxOK)` |
    `static double` | `GDAL_GCP_GCPLine_get​(GCP gcp)` |
    `static void` | `GDAL_GCP_GCPLine_set​(GCP gcp, double dfGCPLine)` |
    `static double` | `GDAL_GCP_GCPPixel_get​(GCP gcp)` |
    `static void` | `GDAL_GCP_GCPPixel_set​(GCP gcp, double dfGCPPixel)` |
    `static double` | `GDAL_GCP_GCPX_get​(GCP gcp)` |
    `static void` | `GDAL_GCP_GCPX_set​(GCP gcp, double dfGCPX)` |
    `static double` | `GDAL_GCP_GCPY_get​(GCP gcp)` |
    `static void` | `GDAL_GCP_GCPY_set​(GCP gcp, double dfGCPY)` |
    `static double` | `GDAL_GCP_GCPZ_get​(GCP gcp)` |
    `static void` | `GDAL_GCP_GCPZ_set​(GCP gcp, double dfGCPZ)` |
    `static java.lang.String` | `GDAL_GCP_Id_get​(GCP gcp)` |
    `static void` | `GDAL_GCP_Id_set​(GCP gcp, java.lang.String pszId)` |
    `static java.lang.String` | `GDAL_GCP_Info_get​(GCP gcp)` |
    `static void` | `GDAL_GCP_Info_set​(GCP gcp, java.lang.String pszInfo)` |
    `static void` | `GDALDestroyDriverManager​()` |
    `static java.lang.String` | `GDALInfo​(Dataset hDataset, InfoOptions infoOptions)` |
    `static java.lang.String` | `GDALMultiDimInfo​(Dataset hDataset, MultiDimInfoOptions infoOptions)` |
    `static java.lang.String[]` | `GeneralCmdLineProcessor​(java.lang.String[] args)` |
    `static java.lang.String[]` | `GeneralCmdLineProcessor​(java.lang.String[] args, int nOptions)` |
    `static java.util.Vector` | `GeneralCmdLineProcessor​(java.util.Vector papszArgv)` |
    `static java.util.Vector` | `GeneralCmdLineProcessor​(java.util.Vector papszArgv, int nOptions)` |
    `static java.lang.String` | `GetActualURL​(java.lang.String utf8_path)` |
    `static int` | `GetCacheMax​()` |
    `static int` | `GetCacheUsed​()` |
    `static java.lang.String` | `GetColorInterpretationName​(int eColorInterp)` |
    `static java.lang.String` | `GetConfigOption​(java.lang.String pszKey)` |
    `static java.lang.String` | `GetConfigOption​(java.lang.String pszKey, java.lang.String pszDefault)` |
    `static int` | `GetDataTypeByName​(java.lang.String pszDataTypeName)` |
    `static java.lang.String` | `GetDataTypeName​(int eDataType)` |
    `static int` | `GetDataTypeSize​(int eDataType)` |
    `static Driver` | `GetDriver​(int i)` |
    `static Driver` | `GetDriverByName​(java.lang.String name)` |
    `static int` | `GetDriverCount​()` |
    `static long` | `GetErrorCounter​()` |
    `static java.lang.String` | `GetFileSystemOptions​(java.lang.String utf8_path)` |
    `static java.util.Vector` | `GetFileSystemsPrefixes​()` |
    `static java.lang.String` | `GetJPEG2000StructureAsString​(java.lang.String pszFilename)` |
    `static java.lang.String` | `GetJPEG2000StructureAsString​(java.lang.String pszFilename, java.util.Vector options)` |
    `static java.lang.String` | `GetLastErrorMsg​()` |
    `static int` | `GetLastErrorNo​()` |
    `static int` | `GetLastErrorType​()` |
    `static java.lang.String` | `GetPaletteInterpretationName​(int ePaletteInterp)` |
    `static java.lang.String` | `GetSignedURL​(java.lang.String utf8_path)` |
    `static java.lang.String` | `GetSignedURL​(java.lang.String utf8_path, java.util.Vector options)` |
    `static java.lang.String` | `GOA2GetAccessToken​(java.lang.String pszRefreshToken, java.lang.String pszScope)` |
    `static java.lang.String` | `GOA2GetAuthorizationURL​(java.lang.String pszScope)` |
    `static java.lang.String` | `GOA2GetRefreshToken​(java.lang.String pszAuthToken, java.lang.String pszScope)` |
    `static Dataset` | `Grid​(java.lang.String dest, Dataset dataset, GridOptions options)` |
    `static Dataset` | `Grid​(java.lang.String dest, Dataset dataset, GridOptions options, ProgressCallback callback)` |
    `static int` | `GridCreate​(java.lang.String algorithmOptions, double[][] points, double xMin, double xMax, double yMin, double yMax, int xSize, int ySize, int dataType, java.nio.ByteBuffer nioBuffer)` |
    `static int` | `GridCreate​(java.lang.String algorithmOptions, double[][] points, double xMin, double xMax, double yMin, double yMax, int xSize, int ySize, int dataType, java.nio.ByteBuffer nioBuffer, ProgressCallback callback)` |
    `static int` | `HasThreadSupport​()` |
    `static Driver` | `IdentifyDriver​(java.lang.String utf8_path)` |
    `static Driver` | `IdentifyDriver​(java.lang.String utf8_path, java.util.Vector papszSiblings)` |
    `static Driver` | `IdentifyDriverEx​(java.lang.String utf8_path)` |
    `static Driver` | `IdentifyDriverEx​(java.lang.String utf8_path, long nIdentifyFlags)` |
    `static Driver` | `IdentifyDriverEx​(java.lang.String utf8_path, long nIdentifyFlags, java.util.Vector allowed_drivers)` |
    `static Driver` | `IdentifyDriverEx​(java.lang.String utf8_path, long nIdentifyFlags, java.util.Vector allowed_drivers, java.util.Vector sibling_files)` |
    `static double[]` | `InvGeoTransform​(double[] gt_in)` |
    `static int` | `InvGeoTransform​(double[] gt_in, double[] gt_out)` |
    `static int` | `Mkdir​(java.lang.String utf8_path, int mode)` |
    `static int` | `MkdirRecursive​(java.lang.String utf8_path, int mode)` |
    `static Dataset` | `MultiDimTranslate​(java.lang.String dest, Dataset[] object_list_count, MultiDimTranslateOptions multiDimTranslateOptions)` |
    `static Dataset` | `MultiDimTranslate​(java.lang.String dest, Dataset[] object_list_count, MultiDimTranslateOptions multiDimTranslateOptions, ProgressCallback callback)` |
    `static Dataset` | `Nearblack​(java.lang.String dest, Dataset srcDS, NearblackOptions options)` |
    `static Dataset` | `Nearblack​(java.lang.String dest, Dataset srcDS, NearblackOptions options, ProgressCallback callback)` |
    `static int` | `Nearblack​(Dataset dstDS, Dataset srcDS, NearblackOptions options)` |
    `static int` | `Nearblack​(Dataset dstDS, Dataset srcDS, NearblackOptions options, ProgressCallback callback)` |
    `static Dataset` | `Open​(java.lang.String name)` |
    `static Dataset` | `Open​(java.lang.String utf8_path, int eAccess)` |
    `static Dataset` | `OpenEx​(java.lang.String utf8_path)` |
    `static Dataset` | `OpenEx​(java.lang.String utf8_path, long nOpenFlags)` |
    `static Dataset` | `OpenEx​(java.lang.String utf8_path, long nOpenFlags, java.util.Vector allowed_drivers)` |
    `static Dataset` | `OpenEx​(java.lang.String utf8_path, long nOpenFlags, java.util.Vector allowed_drivers, java.util.Vector open_options)` |
    `static Dataset` | `OpenEx​(java.lang.String utf8_path, long nOpenFlags, java.util.Vector allowed_drivers, java.util.Vector open_options, java.util.Vector sibling_files)` |
    `static Dataset` | `OpenShared​(java.lang.String utf8_path)` |
    `static Dataset` | `OpenShared​(java.lang.String utf8_path, int eAccess)` |
    `static double` | `PackedDMSToDec​(double dfPacked)` |
    `static java.util.Vector` | `ParseCommandLine​(java.lang.String utf8_path)` |
    `static XMLNode` | `ParseXMLString​(java.lang.String pszXMLString)` |
    `static int` | `Polygonize​(Band srcBand, Band maskBand, Layer outLayer, int iPixValField)` |
    `static int` | `Polygonize​(Band srcBand, Band maskBand, Layer outLayer, int iPixValField, java.util.Vector options)` |
    `static int` | `Polygonize​(Band srcBand, Band maskBand, Layer outLayer, int iPixValField, java.util.Vector options, ProgressCallback callback)` |
    `static void` | `PopErrorHandler​()` |
    `static void` | `PopFinderLocation​()` |
    `static int` | `PushErrorHandler​()` |
    `static int` | `PushErrorHandler​(java.lang.String pszCallbackName)` |
    `static void` | `PushFinderLocation​(java.lang.String utf8_path)` |
    `static Dataset` | `Rasterize​(java.lang.String dest, Dataset srcDS, RasterizeOptions options)` |
    `static Dataset` | `Rasterize​(java.lang.String dest, Dataset srcDS, RasterizeOptions options, ProgressCallback callback)` |
    `static int` | `Rasterize​(Dataset dstDS, Dataset srcDS, RasterizeOptions options)` |
    `static int` | `Rasterize​(Dataset dstDS, Dataset srcDS, RasterizeOptions options, ProgressCallback callback)` |
    `static int` | `RasterizeLayer​(Dataset dataset, int[] bands, Layer layer)` |
    `static int` | `RasterizeLayer​(Dataset dataset, int[] bands, Layer layer, double[] burn_values)` |
    `static int` | `RasterizeLayer​(Dataset dataset, int[] bands, Layer layer, double[] burn_values, java.util.Vector options)` |
    `static int` | `RasterizeLayer​(Dataset dataset, int[] bands, Layer layer, double[] burn_values, java.util.Vector options, ProgressCallback callback)` |
    `static java.util.Vector` | `ReadDir​(java.lang.String utf8_path)` |
    `static java.util.Vector` | `ReadDir​(java.lang.String utf8_path, int nMaxFiles)` |
    `static java.util.Vector` | `ReadDirRecursive​(java.lang.String utf8_path)` |
    `static int` | `RegenerateOverview​(Band srcBand, Band overviewBand)` |
    `static int` | `RegenerateOverview​(Band srcBand, Band overviewBand, java.lang.String resampling)` |
    `static int` | `RegenerateOverview​(Band srcBand, Band overviewBand, java.lang.String resampling, ProgressCallback callback)` |
    `static int` | `RegenerateOverviews​(Band srcBand, Band[] overviewBandCount)` |
    `static int` | `RegenerateOverviews​(Band srcBand, Band[] overviewBandCount, java.lang.String resampling)` |
    `static int` | `RegenerateOverviews​(Band srcBand, Band[] overviewBandCount, java.lang.String resampling, ProgressCallback callback)` |
    `static int` | `Rename​(java.lang.String pszOld, java.lang.String pszNew)` |
    `static int` | `ReprojectImage​(Dataset src_ds, Dataset dst_ds)` |
    `static int` | `ReprojectImage​(Dataset src_ds, Dataset dst_ds, java.lang.String src_wkt)` |
    `static int` | `ReprojectImage​(Dataset src_ds, Dataset dst_ds, java.lang.String src_wkt, java.lang.String dst_wkt)` |
    `static int` | `ReprojectImage​(Dataset src_ds, Dataset dst_ds, java.lang.String src_wkt, java.lang.String dst_wkt, int eResampleAlg)` |
    `static int` | `ReprojectImage​(Dataset src_ds, Dataset dst_ds, java.lang.String src_wkt, java.lang.String dst_wkt, int eResampleAlg, double WarpMemoryLimit)` |
    `static int` | `ReprojectImage​(Dataset src_ds, Dataset dst_ds, java.lang.String src_wkt, java.lang.String dst_wkt, int eResampleAlg, double WarpMemoryLimit, double maxerror)` |
    `static int` | `ReprojectImage​(Dataset src_ds, Dataset dst_ds, java.lang.String src_wkt, java.lang.String dst_wkt, int eResampleAlg, double WarpMemoryLimit, double maxerror, ProgressCallback callback)` |
    `static int` | `ReprojectImage​(Dataset src_ds, Dataset dst_ds, java.lang.String src_wkt, java.lang.String dst_wkt, int eResampleAlg, double WarpMemoryLimit, double maxerror, ProgressCallback callback, java.util.Vector options)` |
    `static int` | `Rmdir​(java.lang.String utf8_path)` |
    `static int` | `RmdirRecursive​(java.lang.String utf8_path)` |
    `static java.lang.String` | `SerializeXMLTree​(XMLNode xmlnode)` |
    `static void` | `SetCacheMax​(int nBytes)` |
    `static void` | `SetConfigOption​(java.lang.String pszKey, java.lang.String pszValue)` |
    `static void` | `SetCurrentErrorHandlerCatchDebug​(int bCatchDebug)` |
    `static int` | `SetErrorHandler​()` |
    `static int` | `SetErrorHandler​(SWIGTYPE_p_CPLErrorHandler pfnErrorHandler)` |
    `static int` | `SetErrorHandler​(SWIGTYPE_p_CPLErrorHandler pfnErrorHandler, SWIGTYPE_p_void user_data)` |
    `static int` | `SieveFilter​(Band srcBand, Band maskBand, Band dstBand, int threshold)` |
    `static int` | `SieveFilter​(Band srcBand, Band maskBand, Band dstBand, int threshold, int connectedness)` |
    `static int` | `SieveFilter​(Band srcBand, Band maskBand, Band dstBand, int threshold, int connectedness, java.util.Vector options)` |
    `static int` | `SieveFilter​(Band srcBand, Band maskBand, Band dstBand, int threshold, int connectedness, java.util.Vector options, ProgressCallback callback)` |
    `static Dataset` | `Translate​(java.lang.String dest, Dataset dataset, TranslateOptions translateOptions)` |
    `static Dataset` | `Translate​(java.lang.String dest, Dataset dataset, TranslateOptions translateOptions, ProgressCallback callback)` |
    `static int` | `Unlink​(java.lang.String utf8_path)` |
    `static boolean` | `UnlinkBatch​(java.util.Vector files)` |
    `static void` | `UseExceptions​()` |
    `static Dataset` | `VectorTranslate​(java.lang.String dest, Dataset srcDS, VectorTranslateOptions options)` |
    `static Dataset` | `VectorTranslate​(java.lang.String dest, Dataset srcDS, VectorTranslateOptions options, ProgressCallback callback)` |
    `static int` | `VectorTranslate​(Dataset dstDS, Dataset srcDS, VectorTranslateOptions options)` |
    `static int` | `VectorTranslate​(Dataset dstDS, Dataset srcDS, VectorTranslateOptions options, ProgressCallback callback)` |
    `static java.lang.String` | `VersionInfo​()` |
    `static java.lang.String` | `VersionInfo​(java.lang.String request)` |
    `static Dataset` | `ViewshedGenerate​(Band srcBand, java.lang.String driverName, java.lang.String targetRasterName, SWIGTYPE_p_p_char creationOptions, double observerX, double observerY, double observerHeight, double targetHeight, double visibleVal, double invisibleVal, double outOfRangeVal, double noDataVal, double dfCurvCoeff, ViewshedMode mode, double maxDistance)` |
    `static Dataset` | `ViewshedGenerate​(Band srcBand, java.lang.String driverName, java.lang.String targetRasterName, SWIGTYPE_p_p_char creationOptions, double observerX, double observerY, double observerHeight, double targetHeight, double visibleVal, double invisibleVal, double outOfRangeVal, double noDataVal, double dfCurvCoeff, ViewshedMode mode, double maxDistance, ProgressCallback callback)` |
    `static Dataset` | `ViewshedGenerate​(Band srcBand, java.lang.String driverName, java.lang.String targetRasterName, SWIGTYPE_p_p_char creationOptions, double observerX, double observerY, double observerHeight, double targetHeight, double visibleVal, double invisibleVal, double outOfRangeVal, double noDataVal, double dfCurvCoeff, ViewshedMode mode, double maxDistance, ProgressCallback callback, ViewshedOutputType heightMode)` |
    `static Dataset` | `ViewshedGenerate​(Band srcBand, java.lang.String driverName, java.lang.String targetRasterName, SWIGTYPE_p_p_char creationOptions, double observerX, double observerY, double observerHeight, double targetHeight, double visibleVal, double invisibleVal, double outOfRangeVal, double noDataVal, double dfCurvCoeff, ViewshedMode mode, double maxDistance, ProgressCallback callback, ViewshedOutputType heightMode, SWIGTYPE_p_p_char papszOptions)` |
    `static void` | `VSIErrorReset​()` |
    `static java.lang.String` | `VSIGetLastErrorMsg​()` |
    `static int` | `VSIGetLastErrorNo​()` |
    `static Dataset` | `Warp​(java.lang.String dest, Dataset[] object_list_count, WarpOptions warpAppOptions)` |
    `static Dataset` | `Warp​(java.lang.String dest, Dataset[] object_list_count, WarpOptions warpAppOptions, ProgressCallback callback)` |
    `static int` | `Warp​(Dataset dstDS, Dataset[] object_list_count, WarpOptions warpAppOptions)` |
    `static int` | `Warp​(Dataset dstDS, Dataset[] object_list_count, WarpOptions warpAppOptions, ProgressCallback callback)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### UseExceptions

          public static void UseExceptions​()

    - #### DontUseExceptions

          public static void DontUseExceptions​()

    - #### GeneralCmdLineProcessor

          public static java.lang.String[] GeneralCmdLineProcessor​(java.lang.String[] args,
                                                                   int nOptions)

    - #### GeneralCmdLineProcessor

          public static java.lang.String[] GeneralCmdLineProcessor​(java.lang.String[] args)

    - #### InvGeoTransform

          public static double[] InvGeoTransform​(double[] gt_in)

    - #### Debug

          public static void Debug​(java.lang.String msg_class,
                                   java.lang.String message)

    - #### SetErrorHandler

          public static int SetErrorHandler​(SWIGTYPE_p_CPLErrorHandler pfnErrorHandler,
                                            SWIGTYPE_p_void user_data)

    - #### SetErrorHandler

          public static int SetErrorHandler​(SWIGTYPE_p_CPLErrorHandler pfnErrorHandler)

    - #### SetErrorHandler

          public static int SetErrorHandler​()

    - #### SetCurrentErrorHandlerCatchDebug

          public static void SetCurrentErrorHandlerCatchDebug​(int bCatchDebug)

    - #### PushErrorHandler

          public static int PushErrorHandler​(java.lang.String pszCallbackName)

    - #### PushErrorHandler

          public static int PushErrorHandler​()

    - #### Error

          public static void Error​(int msg_class,
                                   int err_code,
                                   java.lang.String msg)

    - #### GOA2GetAuthorizationURL

          public static java.lang.String GOA2GetAuthorizationURL​(java.lang.String pszScope)

    - #### GOA2GetRefreshToken

          public static java.lang.String GOA2GetRefreshToken​(java.lang.String pszAuthToken,
                                                             java.lang.String pszScope)

    - #### GOA2GetAccessToken

          public static java.lang.String GOA2GetAccessToken​(java.lang.String pszRefreshToken,
                                                            java.lang.String pszScope)

    - #### PopErrorHandler

          public static void PopErrorHandler​()

    - #### ErrorReset

          public static void ErrorReset​()

    - #### EscapeString

          public static java.lang.String EscapeString​(byte[] len,
                                                      int scheme)

    - #### EscapeString

          public static java.lang.String EscapeString​(java.lang.String str,
                                                      int scheme)

    - #### GetLastErrorNo

          public static int GetLastErrorNo​()

    - #### GetLastErrorType

          public static int GetLastErrorType​()

    - #### GetLastErrorMsg

          public static java.lang.String GetLastErrorMsg​()

    - #### GetErrorCounter

          public static long GetErrorCounter​()

    - #### VSIGetLastErrorNo

          public static int VSIGetLastErrorNo​()

    - #### VSIGetLastErrorMsg

          public static java.lang.String VSIGetLastErrorMsg​()

    - #### VSIErrorReset

          public static void VSIErrorReset​()

    - #### PushFinderLocation

          public static void PushFinderLocation​(java.lang.String utf8_path)

    - #### PopFinderLocation

          public static void PopFinderLocation​()

    - #### FinderClean

          public static void FinderClean​()

    - #### FindFile

          public static java.lang.String FindFile​(java.lang.String pszClass,
                                                  java.lang.String utf8_path)

    - #### ReadDir

          public static java.util.Vector ReadDir​(java.lang.String utf8_path,
                                                 int nMaxFiles)

    - #### ReadDir

          public static java.util.Vector ReadDir​(java.lang.String utf8_path)

    - #### ReadDirRecursive

          public static java.util.Vector ReadDirRecursive​(java.lang.String utf8_path)

    - #### SetConfigOption

          public static void SetConfigOption​(java.lang.String pszKey,
                                             java.lang.String pszValue)

    - #### GetConfigOption

          public static java.lang.String GetConfigOption​(java.lang.String pszKey,
                                                         java.lang.String pszDefault)

    - #### GetConfigOption

          public static java.lang.String GetConfigOption​(java.lang.String pszKey)

    - #### CPLBinaryToHex

          public static java.lang.String CPLBinaryToHex​(byte[] nBytes)

    - #### CPLHexToBinary

          public static byte[] CPLHexToBinary​(java.lang.String pszHex)

    - #### FileFromMemBuffer

          public static void FileFromMemBuffer​(java.lang.String utf8_path,
                                               byte[] nBytes)

    - #### Unlink

          public static int Unlink​(java.lang.String utf8_path)

    - #### UnlinkBatch

          public static boolean UnlinkBatch​(java.util.Vector files)

    - #### HasThreadSupport

          public static int HasThreadSupport​()

    - #### Mkdir

          public static int Mkdir​(java.lang.String utf8_path,
                                  int mode)

    - #### Rmdir

          public static int Rmdir​(java.lang.String utf8_path)

    - #### MkdirRecursive

          public static int MkdirRecursive​(java.lang.String utf8_path,
                                           int mode)

    - #### RmdirRecursive

          public static int RmdirRecursive​(java.lang.String utf8_path)

    - #### Rename

          public static int Rename​(java.lang.String pszOld,
                                   java.lang.String pszNew)

    - #### GetActualURL

          public static java.lang.String GetActualURL​(java.lang.String utf8_path)

    - #### GetSignedURL

          public static java.lang.String GetSignedURL​(java.lang.String utf8_path,
                                                      java.util.Vector options)

    - #### GetSignedURL

          public static java.lang.String GetSignedURL​(java.lang.String utf8_path)

    - #### GetFileSystemsPrefixes

          public static java.util.Vector GetFileSystemsPrefixes​()

    - #### GetFileSystemOptions

          public static java.lang.String GetFileSystemOptions​(java.lang.String utf8_path)

    - #### ParseCommandLine

          public static java.util.Vector ParseCommandLine​(java.lang.String utf8_path)

    - #### GDAL_GCP_GCPX_get

          public static double GDAL_GCP_GCPX_get​(GCP gcp)

    - #### GDAL_GCP_GCPX_set

          public static void GDAL_GCP_GCPX_set​(GCP gcp,
                                               double dfGCPX)

    - #### GDAL_GCP_GCPY_get

          public static double GDAL_GCP_GCPY_get​(GCP gcp)

    - #### GDAL_GCP_GCPY_set

          public static void GDAL_GCP_GCPY_set​(GCP gcp,
                                               double dfGCPY)

    - #### GDAL_GCP_GCPZ_get

          public static double GDAL_GCP_GCPZ_get​(GCP gcp)

    - #### GDAL_GCP_GCPZ_set

          public static void GDAL_GCP_GCPZ_set​(GCP gcp,
                                               double dfGCPZ)

    - #### GDAL_GCP_GCPPixel_get

          public static double GDAL_GCP_GCPPixel_get​(GCP gcp)

    - #### GDAL_GCP_GCPPixel_set

          public static void GDAL_GCP_GCPPixel_set​(GCP gcp,
                                                   double dfGCPPixel)

    - #### GDAL_GCP_GCPLine_get

          public static double GDAL_GCP_GCPLine_get​(GCP gcp)

    - #### GDAL_GCP_GCPLine_set

          public static void GDAL_GCP_GCPLine_set​(GCP gcp,
                                                  double dfGCPLine)

    - #### GDAL_GCP_Info_get

          public static java.lang.String GDAL_GCP_Info_get​(GCP gcp)

    - #### GDAL_GCP_Info_set

          public static void GDAL_GCP_Info_set​(GCP gcp,
                                               java.lang.String pszInfo)

    - #### GDAL_GCP_Id_get

          public static java.lang.String GDAL_GCP_Id_get​(GCP gcp)

    - #### GDAL_GCP_Id_set

          public static void GDAL_GCP_Id_set​(GCP gcp,
                                             java.lang.String pszId)

    - #### GCPsToGeoTransform

          public static int GCPsToGeoTransform​(GCP[] nGCPs,
                                               double[] argout,
                                               int bApproxOK)

    - #### GCPsToGeoTransform

          public static int GCPsToGeoTransform​(GCP[] nGCPs,
                                               double[] argout)

    - #### ComputeMedianCutPCT

          public static int ComputeMedianCutPCT​(Band red,
                                                Band green,
                                                Band blue,
                                                int num_colors,
                                                ColorTable colors,
                                                ProgressCallback callback)

    - #### ComputeMedianCutPCT

          public static int ComputeMedianCutPCT​(Band red,
                                                Band green,
                                                Band blue,
                                                int num_colors,
                                                ColorTable colors)

    - #### DitherRGB2PCT

          public static int DitherRGB2PCT​(Band red,
                                          Band green,
                                          Band blue,
                                          Band target,
                                          ColorTable colors,
                                          ProgressCallback callback)

    - #### DitherRGB2PCT

          public static int DitherRGB2PCT​(Band red,
                                          Band green,
                                          Band blue,
                                          Band target,
                                          ColorTable colors)

    - #### ReprojectImage

          public static int ReprojectImage​(Dataset src_ds,
                                           Dataset dst_ds,
                                           java.lang.String src_wkt,
                                           java.lang.String dst_wkt,
                                           int eResampleAlg,
                                           double WarpMemoryLimit,
                                           double maxerror,
                                           ProgressCallback callback,
                                           java.util.Vector options)

    - #### ReprojectImage

          public static int ReprojectImage​(Dataset src_ds,
                                           Dataset dst_ds,
                                           java.lang.String src_wkt,
                                           java.lang.String dst_wkt,
                                           int eResampleAlg,
                                           double WarpMemoryLimit,
                                           double maxerror,
                                           ProgressCallback callback)

    - #### ReprojectImage

          public static int ReprojectImage​(Dataset src_ds,
                                           Dataset dst_ds,
                                           java.lang.String src_wkt,
                                           java.lang.String dst_wkt,
                                           int eResampleAlg,
                                           double WarpMemoryLimit,
                                           double maxerror)

    - #### ReprojectImage

          public static int ReprojectImage​(Dataset src_ds,
                                           Dataset dst_ds,
                                           java.lang.String src_wkt,
                                           java.lang.String dst_wkt,
                                           int eResampleAlg,
                                           double WarpMemoryLimit)

    - #### ReprojectImage

          public static int ReprojectImage​(Dataset src_ds,
                                           Dataset dst_ds,
                                           java.lang.String src_wkt,
                                           java.lang.String dst_wkt,
                                           int eResampleAlg)

    - #### ReprojectImage

          public static int ReprojectImage​(Dataset src_ds,
                                           Dataset dst_ds,
                                           java.lang.String src_wkt,
                                           java.lang.String dst_wkt)

    - #### ReprojectImage

          public static int ReprojectImage​(Dataset src_ds,
                                           Dataset dst_ds,
                                           java.lang.String src_wkt)

    - #### ReprojectImage

          public static int ReprojectImage​(Dataset src_ds,
                                           Dataset dst_ds)

    - #### ComputeProximity

          public static int ComputeProximity​(Band srcBand,
                                             Band proximityBand,
                                             java.util.Vector options,
                                             ProgressCallback callback)

    - #### ComputeProximity

          public static int ComputeProximity​(Band srcBand,
                                             Band proximityBand,
                                             java.util.Vector options)

    - #### ComputeProximity

          public static int ComputeProximity​(Band srcBand,
                                             Band proximityBand)

    - #### RasterizeLayer

          public static int RasterizeLayer​(Dataset dataset,
                                           int[] bands,
                                           Layer layer,
                                           double[] burn_values,
                                           java.util.Vector options,
                                           ProgressCallback callback)

    - #### RasterizeLayer

          public static int RasterizeLayer​(Dataset dataset,
                                           int[] bands,
                                           Layer layer,
                                           double[] burn_values,
                                           java.util.Vector options)

    - #### RasterizeLayer

          public static int RasterizeLayer​(Dataset dataset,
                                           int[] bands,
                                           Layer layer,
                                           double[] burn_values)

    - #### RasterizeLayer

          public static int RasterizeLayer​(Dataset dataset,
                                           int[] bands,
                                           Layer layer)

    - #### Polygonize

          public static int Polygonize​(Band srcBand,
                                       Band maskBand,
                                       Layer outLayer,
                                       int iPixValField,
                                       java.util.Vector options,
                                       ProgressCallback callback)

    - #### Polygonize

          public static int Polygonize​(Band srcBand,
                                       Band maskBand,
                                       Layer outLayer,
                                       int iPixValField,
                                       java.util.Vector options)

    - #### Polygonize

          public static int Polygonize​(Band srcBand,
                                       Band maskBand,
                                       Layer outLayer,
                                       int iPixValField)

    - #### FPolygonize

          public static int FPolygonize​(Band srcBand,
                                        Band maskBand,
                                        Layer outLayer,
                                        int iPixValField,
                                        java.util.Vector options,
                                        ProgressCallback callback)

    - #### FPolygonize

          public static int FPolygonize​(Band srcBand,
                                        Band maskBand,
                                        Layer outLayer,
                                        int iPixValField,
                                        java.util.Vector options)

    - #### FPolygonize

          public static int FPolygonize​(Band srcBand,
                                        Band maskBand,
                                        Layer outLayer,
                                        int iPixValField)

    - #### FillNodata

          public static int FillNodata​(Band targetBand,
                                       Band maskBand,
                                       double maxSearchDist,
                                       int smoothingIterations,
                                       java.util.Vector options,
                                       ProgressCallback callback)

    - #### FillNodata

          public static int FillNodata​(Band targetBand,
                                       Band maskBand,
                                       double maxSearchDist,
                                       int smoothingIterations,
                                       java.util.Vector options)

    - #### FillNodata

          public static int FillNodata​(Band targetBand,
                                       Band maskBand,
                                       double maxSearchDist,
                                       int smoothingIterations)

    - #### SieveFilter

          public static int SieveFilter​(Band srcBand,
                                        Band maskBand,
                                        Band dstBand,
                                        int threshold,
                                        int connectedness,
                                        java.util.Vector options,
                                        ProgressCallback callback)

    - #### SieveFilter

          public static int SieveFilter​(Band srcBand,
                                        Band maskBand,
                                        Band dstBand,
                                        int threshold,
                                        int connectedness,
                                        java.util.Vector options)

    - #### SieveFilter

          public static int SieveFilter​(Band srcBand,
                                        Band maskBand,
                                        Band dstBand,
                                        int threshold,
                                        int connectedness)

    - #### SieveFilter

          public static int SieveFilter​(Band srcBand,
                                        Band maskBand,
                                        Band dstBand,
                                        int threshold)

    - #### RegenerateOverviews

          public static int RegenerateOverviews​(Band srcBand,
                                                Band[] overviewBandCount,
                                                java.lang.String resampling,
                                                ProgressCallback callback)

    - #### RegenerateOverviews

          public static int RegenerateOverviews​(Band srcBand,
                                                Band[] overviewBandCount,
                                                java.lang.String resampling)

    - #### RegenerateOverviews

          public static int RegenerateOverviews​(Band srcBand,
                                                Band[] overviewBandCount)

    - #### RegenerateOverview

          public static int RegenerateOverview​(Band srcBand,
                                               Band overviewBand,
                                               java.lang.String resampling,
                                               ProgressCallback callback)

    - #### RegenerateOverview

          public static int RegenerateOverview​(Band srcBand,
                                               Band overviewBand,
                                               java.lang.String resampling)

    - #### RegenerateOverview

          public static int RegenerateOverview​(Band srcBand,
                                               Band overviewBand)

    - #### GridCreate

          public static int GridCreate​(java.lang.String algorithmOptions,
                                       double[][] points,
                                       double xMin,
                                       double xMax,
                                       double yMin,
                                       double yMax,
                                       int xSize,
                                       int ySize,
                                       int dataType,
                                       java.nio.ByteBuffer nioBuffer,
                                       ProgressCallback callback)

    - #### GridCreate

          public static int GridCreate​(java.lang.String algorithmOptions,
                                       double[][] points,
                                       double xMin,
                                       double xMax,
                                       double yMin,
                                       double yMax,
                                       int xSize,
                                       int ySize,
                                       int dataType,
                                       java.nio.ByteBuffer nioBuffer)

    - #### ContourGenerate

          public static int ContourGenerate​(Band srcBand,
                                            double contourInterval,
                                            double contourBase,
                                            double[] fixedLevelCount,
                                            int useNoData,
                                            double noDataValue,
                                            Layer dstLayer,
                                            int idField,
                                            int elevField,
                                            ProgressCallback callback)

    - #### ContourGenerate

          public static int ContourGenerate​(Band srcBand,
                                            double contourInterval,
                                            double contourBase,
                                            double[] fixedLevelCount,
                                            int useNoData,
                                            double noDataValue,
                                            Layer dstLayer,
                                            int idField,
                                            int elevField)

    - #### ContourGenerateEx

          public static int ContourGenerateEx​(Band srcBand,
                                              Layer dstLayer,
                                              java.util.Vector options,
                                              ProgressCallback callback)

    - #### ContourGenerateEx

          public static int ContourGenerateEx​(Band srcBand,
                                              Layer dstLayer,
                                              java.util.Vector options)

    - #### ContourGenerateEx

          public static int ContourGenerateEx​(Band srcBand,
                                              Layer dstLayer)

    - #### ViewshedGenerate

          public static Dataset ViewshedGenerate​(Band srcBand,
                                                 java.lang.String driverName,
                                                 java.lang.String targetRasterName,
                                                 SWIGTYPE_p_p_char creationOptions,
                                                 double observerX,
                                                 double observerY,
                                                 double observerHeight,
                                                 double targetHeight,
                                                 double visibleVal,
                                                 double invisibleVal,
                                                 double outOfRangeVal,
                                                 double noDataVal,
                                                 double dfCurvCoeff,
                                                 ViewshedMode mode,
                                                 double maxDistance,
                                                 ProgressCallback callback,
                                                 ViewshedOutputType heightMode,
                                                 SWIGTYPE_p_p_char papszOptions)

    - #### ViewshedGenerate

          public static Dataset ViewshedGenerate​(Band srcBand,
                                                 java.lang.String driverName,
                                                 java.lang.String targetRasterName,
                                                 SWIGTYPE_p_p_char creationOptions,
                                                 double observerX,
                                                 double observerY,
                                                 double observerHeight,
                                                 double targetHeight,
                                                 double visibleVal,
                                                 double invisibleVal,
                                                 double outOfRangeVal,
                                                 double noDataVal,
                                                 double dfCurvCoeff,
                                                 ViewshedMode mode,
                                                 double maxDistance,
                                                 ProgressCallback callback,
                                                 ViewshedOutputType heightMode)

    - #### ViewshedGenerate

          public static Dataset ViewshedGenerate​(Band srcBand,
                                                 java.lang.String driverName,
                                                 java.lang.String targetRasterName,
                                                 SWIGTYPE_p_p_char creationOptions,
                                                 double observerX,
                                                 double observerY,
                                                 double observerHeight,
                                                 double targetHeight,
                                                 double visibleVal,
                                                 double invisibleVal,
                                                 double outOfRangeVal,
                                                 double noDataVal,
                                                 double dfCurvCoeff,
                                                 ViewshedMode mode,
                                                 double maxDistance,
                                                 ProgressCallback callback)

    - #### ViewshedGenerate

          public static Dataset ViewshedGenerate​(Band srcBand,
                                                 java.lang.String driverName,
                                                 java.lang.String targetRasterName,
                                                 SWIGTYPE_p_p_char creationOptions,
                                                 double observerX,
                                                 double observerY,
                                                 double observerHeight,
                                                 double targetHeight,
                                                 double visibleVal,
                                                 double invisibleVal,
                                                 double outOfRangeVal,
                                                 double noDataVal,
                                                 double dfCurvCoeff,
                                                 ViewshedMode mode,
                                                 double maxDistance)

    - #### AutoCreateWarpedVRT

          public static Dataset AutoCreateWarpedVRT​(Dataset src_ds,
                                                    java.lang.String src_wkt,
                                                    java.lang.String dst_wkt,
                                                    int eResampleAlg,
                                                    double maxerror)

    - #### AutoCreateWarpedVRT

          public static Dataset AutoCreateWarpedVRT​(Dataset src_ds,
                                                    java.lang.String src_wkt,
                                                    java.lang.String dst_wkt,
                                                    int eResampleAlg)

    - #### AutoCreateWarpedVRT

          public static Dataset AutoCreateWarpedVRT​(Dataset src_ds,
                                                    java.lang.String src_wkt,
                                                    java.lang.String dst_wkt)

    - #### AutoCreateWarpedVRT

          public static Dataset AutoCreateWarpedVRT​(Dataset src_ds,
                                                    java.lang.String src_wkt)

    - #### AutoCreateWarpedVRT

          public static Dataset AutoCreateWarpedVRT​(Dataset src_ds)

    - #### CreatePansharpenedVRT

          public static Dataset CreatePansharpenedVRT​(java.lang.String pszXML,
                                                      Band panchroBand,
                                                      Band[] nInputSpectralBands)

    - #### ApplyVerticalShiftGrid

          public static Dataset ApplyVerticalShiftGrid​(Dataset src_ds,
                                                       Dataset grid_ds,
                                                       boolean inverse,
                                                       double srcUnitToMeter,
                                                       double dstUnitToMeter,
                                                       java.util.Vector options)

    - #### ApplyVerticalShiftGrid

          public static Dataset ApplyVerticalShiftGrid​(Dataset src_ds,
                                                       Dataset grid_ds,
                                                       boolean inverse,
                                                       double srcUnitToMeter,
                                                       double dstUnitToMeter)

    - #### ApplyVerticalShiftGrid

          public static Dataset ApplyVerticalShiftGrid​(Dataset src_ds,
                                                       Dataset grid_ds,
                                                       boolean inverse,
                                                       double srcUnitToMeter)

    - #### ApplyVerticalShiftGrid

          public static Dataset ApplyVerticalShiftGrid​(Dataset src_ds,
                                                       Dataset grid_ds,
                                                       boolean inverse)

    - #### ApplyVerticalShiftGrid

          public static Dataset ApplyVerticalShiftGrid​(Dataset src_ds,
                                                       Dataset grid_ds)

    - #### ApplyGeoTransform

          public static void ApplyGeoTransform​(double[] padfGeoTransform,
                                               double dfPixel,
                                               double dfLine,
                                               double[] pdfGeoX,
                                               double[] pdfGeoY)

    - #### InvGeoTransform

          public static int InvGeoTransform​(double[] gt_in,
                                            double[] gt_out)

    - #### VersionInfo

          public static java.lang.String VersionInfo​(java.lang.String request)

    - #### VersionInfo

          public static java.lang.String VersionInfo​()

    - #### AllRegister

          public static void AllRegister​()

    - #### GDALDestroyDriverManager

          public static void GDALDestroyDriverManager​()

    - #### GetCacheMax

          public static int GetCacheMax​()

    - #### GetCacheUsed

          public static int GetCacheUsed​()

    - #### SetCacheMax

          public static void SetCacheMax​(int nBytes)

    - #### GetDataTypeSize

          public static int GetDataTypeSize​(int eDataType)

    - #### DataTypeIsComplex

          public static int DataTypeIsComplex​(int eDataType)

    - #### GetDataTypeName

          public static java.lang.String GetDataTypeName​(int eDataType)

    - #### GetDataTypeByName

          public static int GetDataTypeByName​(java.lang.String pszDataTypeName)

    - #### GetColorInterpretationName

          public static java.lang.String GetColorInterpretationName​(int eColorInterp)

    - #### GetPaletteInterpretationName

          public static java.lang.String GetPaletteInterpretationName​(int ePaletteInterp)

    - #### DecToDMS

          public static java.lang.String DecToDMS​(double dfAngle,
                                                  java.lang.String pszAxis,
                                                  int nPrecision)

    - #### DecToDMS

          public static java.lang.String DecToDMS​(double dfAngle,
                                                  java.lang.String pszAxis)

    - #### PackedDMSToDec

          public static double PackedDMSToDec​(double dfPacked)

    - #### DecToPackedDMS

          public static double DecToPackedDMS​(double dfDec)

    - #### ParseXMLString

          public static XMLNode ParseXMLString​(java.lang.String pszXMLString)

    - #### SerializeXMLTree

          public static java.lang.String SerializeXMLTree​(XMLNode xmlnode)

    - #### GetJPEG2000StructureAsString

          public static java.lang.String GetJPEG2000StructureAsString​(java.lang.String pszFilename,
                                                                      java.util.Vector options)

    - #### GetJPEG2000StructureAsString

          public static java.lang.String GetJPEG2000StructureAsString​(java.lang.String pszFilename)

    - #### GetDriverCount

          public static int GetDriverCount​()

    - #### GetDriverByName

          public static Driver GetDriverByName​(java.lang.String name)

    - #### GetDriver

          public static Driver GetDriver​(int i)

    - #### Open

          public static Dataset Open​(java.lang.String utf8_path,
                                     int eAccess)

    - #### Open

          public static Dataset Open​(java.lang.String name)

    - #### OpenEx

          public static Dataset OpenEx​(java.lang.String utf8_path,
                                       long nOpenFlags,
                                       java.util.Vector allowed_drivers,
                                       java.util.Vector open_options,
                                       java.util.Vector sibling_files)

    - #### OpenEx

          public static Dataset OpenEx​(java.lang.String utf8_path,
                                       long nOpenFlags,
                                       java.util.Vector allowed_drivers,
                                       java.util.Vector open_options)

    - #### OpenEx

          public static Dataset OpenEx​(java.lang.String utf8_path,
                                       long nOpenFlags,
                                       java.util.Vector allowed_drivers)

    - #### OpenEx

          public static Dataset OpenEx​(java.lang.String utf8_path,
                                       long nOpenFlags)

    - #### OpenEx

          public static Dataset OpenEx​(java.lang.String utf8_path)

    - #### OpenShared

          public static Dataset OpenShared​(java.lang.String utf8_path,
                                           int eAccess)

    - #### OpenShared

          public static Dataset OpenShared​(java.lang.String utf8_path)

    - #### IdentifyDriver

          public static Driver IdentifyDriver​(java.lang.String utf8_path,
                                              java.util.Vector papszSiblings)

    - #### IdentifyDriver

          public static Driver IdentifyDriver​(java.lang.String utf8_path)

    - #### IdentifyDriverEx

          public static Driver IdentifyDriverEx​(java.lang.String utf8_path,
                                                long nIdentifyFlags,
                                                java.util.Vector allowed_drivers,
                                                java.util.Vector sibling_files)

    - #### IdentifyDriverEx

          public static Driver IdentifyDriverEx​(java.lang.String utf8_path,
                                                long nIdentifyFlags,
                                                java.util.Vector allowed_drivers)

    - #### IdentifyDriverEx

          public static Driver IdentifyDriverEx​(java.lang.String utf8_path,
                                                long nIdentifyFlags)

    - #### IdentifyDriverEx

          public static Driver IdentifyDriverEx​(java.lang.String utf8_path)

    - #### GeneralCmdLineProcessor

          public static java.util.Vector GeneralCmdLineProcessor​(java.util.Vector papszArgv,
                                                                 int nOptions)

    - #### GeneralCmdLineProcessor

          public static java.util.Vector GeneralCmdLineProcessor​(java.util.Vector papszArgv)

    - #### GDALInfo

          public static java.lang.String GDALInfo​(Dataset hDataset,
                                                  InfoOptions infoOptions)

    - #### GDALMultiDimInfo

          public static java.lang.String GDALMultiDimInfo​(Dataset hDataset,
                                                          MultiDimInfoOptions infoOptions)

    - #### Translate

          public static Dataset Translate​(java.lang.String dest,
                                          Dataset dataset,
                                          TranslateOptions translateOptions,
                                          ProgressCallback callback)

    - #### Translate

          public static Dataset Translate​(java.lang.String dest,
                                          Dataset dataset,
                                          TranslateOptions translateOptions)

    - #### Warp

          public static int Warp​(Dataset dstDS,
                                 Dataset[] object_list_count,
                                 WarpOptions warpAppOptions,
                                 ProgressCallback callback)

    - #### Warp

          public static int Warp​(Dataset dstDS,
                                 Dataset[] object_list_count,
                                 WarpOptions warpAppOptions)

    - #### Warp

          public static Dataset Warp​(java.lang.String dest,
                                     Dataset[] object_list_count,
                                     WarpOptions warpAppOptions,
                                     ProgressCallback callback)

    - #### Warp

          public static Dataset Warp​(java.lang.String dest,
                                     Dataset[] object_list_count,
                                     WarpOptions warpAppOptions)

    - #### VectorTranslate

          public static int VectorTranslate​(Dataset dstDS,
                                            Dataset srcDS,
                                            VectorTranslateOptions options,
                                            ProgressCallback callback)

    - #### VectorTranslate

          public static int VectorTranslate​(Dataset dstDS,
                                            Dataset srcDS,
                                            VectorTranslateOptions options)

    - #### VectorTranslate

          public static Dataset VectorTranslate​(java.lang.String dest,
                                                Dataset srcDS,
                                                VectorTranslateOptions options,
                                                ProgressCallback callback)

    - #### VectorTranslate

          public static Dataset VectorTranslate​(java.lang.String dest,
                                                Dataset srcDS,
                                                VectorTranslateOptions options)

    - #### DEMProcessing

          public static Dataset DEMProcessing​(java.lang.String dest,
                                              Dataset dataset,
                                              java.lang.String pszProcessing,
                                              java.lang.String pszColorFilename,
                                              DEMProcessingOptions options,
                                              ProgressCallback callback)

    - #### DEMProcessing

          public static Dataset DEMProcessing​(java.lang.String dest,
                                              Dataset dataset,
                                              java.lang.String pszProcessing,
                                              java.lang.String pszColorFilename,
                                              DEMProcessingOptions options)

    - #### Nearblack

          public static int Nearblack​(Dataset dstDS,
                                      Dataset srcDS,
                                      NearblackOptions options,
                                      ProgressCallback callback)

    - #### Nearblack

          public static int Nearblack​(Dataset dstDS,
                                      Dataset srcDS,
                                      NearblackOptions options)

    - #### Nearblack

          public static Dataset Nearblack​(java.lang.String dest,
                                          Dataset srcDS,
                                          NearblackOptions options,
                                          ProgressCallback callback)

    - #### Nearblack

          public static Dataset Nearblack​(java.lang.String dest,
                                          Dataset srcDS,
                                          NearblackOptions options)

    - #### Grid

          public static Dataset Grid​(java.lang.String dest,
                                     Dataset dataset,
                                     GridOptions options,
                                     ProgressCallback callback)

    - #### Grid

          public static Dataset Grid​(java.lang.String dest,
                                     Dataset dataset,
                                     GridOptions options)

    - #### Rasterize

          public static int Rasterize​(Dataset dstDS,
                                      Dataset srcDS,
                                      RasterizeOptions options,
                                      ProgressCallback callback)

    - #### Rasterize

          public static int Rasterize​(Dataset dstDS,
                                      Dataset srcDS,
                                      RasterizeOptions options)

    - #### Rasterize

          public static Dataset Rasterize​(java.lang.String dest,
                                          Dataset srcDS,
                                          RasterizeOptions options,
                                          ProgressCallback callback)

    - #### Rasterize

          public static Dataset Rasterize​(java.lang.String dest,
                                          Dataset srcDS,
                                          RasterizeOptions options)

    - #### BuildVRT

          public static Dataset BuildVRT​(java.lang.String dest,
                                         Dataset[] object_list_count,
                                         BuildVRTOptions options,
                                         ProgressCallback callback)

    - #### BuildVRT

          public static Dataset BuildVRT​(java.lang.String dest,
                                         Dataset[] object_list_count,
                                         BuildVRTOptions options)

    - #### BuildVRT

          public static Dataset BuildVRT​(java.lang.String dest,
                                         java.util.Vector source_filenames,
                                         BuildVRTOptions options,
                                         ProgressCallback callback)

    - #### BuildVRT

          public static Dataset BuildVRT​(java.lang.String dest,
                                         java.util.Vector source_filenames,
                                         BuildVRTOptions options)

    - #### MultiDimTranslate

          public static Dataset MultiDimTranslate​(java.lang.String dest,
                                                  Dataset[] object_list_count,
                                                  MultiDimTranslateOptions multiDimTranslateOptions,
                                                  ProgressCallback callback)

    - #### MultiDimTranslate

          public static Dataset MultiDimTranslate​(java.lang.String dest,
                                                  Dataset[] object_list_count,
                                                  MultiDimTranslateOptions multiDimTranslateOptions)